bin_PROGRAMS=ta3d
ta3d_SOURCES= \
	ta3d.cpp \
	pathfinding.cpp pathfinding.h \
	menu.cpp menu.h \
	3do.cpp 3do.h \
	cob.cpp cob.h \
	console.cpp console.h \
	EngineClass.cpp EngineClass.h \
	fbi.cpp fbi.h \
	gaf.cpp gaf.h \
	glfunc.cpp glfunc.h \
	gui.cpp gui.h \
	hpi.cpp hpi.h \
	intro.cpp intro.h \
	particles.cpp particles.h \
	tdf.cpp tdf.h \
	tnt.cpp tnt.h \
	weapons.cpp weapons.h \
	sound.cpp sound.h \
	script.cpp script.h \
	matrix.h ta3dbase.h vector.h

all:
	g++ -o hpiview `allegro-config --libs release` -lz console.o hpi.o hpiview.cpp
	mv ta3d ../
	mv hpiview ../
